var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Host, h } from "@stencil/core";
import { InjectVegaGlobalSlimmer, InjectVegaSlimmer } from "../../../../../vega-slimmer/vega-slimmer-core";
import { VegaComponentUsageRuntimeMetricsSlimmer } from "../../helpers/slimmers/component-usage-runtime-metrics";
/**
 * @vegaVersion 1.47.0
 */
export class VegaSlotContainer {
    constructor() {
        this.globalSlimmers = {};
        this.vegaComponentUsageRuntimeMetricsSlimmer = new VegaComponentUsageRuntimeMetricsSlimmer();
    }
    render() {
        return (h(Host, { key: 'e95a62cffebc83bb9a2948ea8f28d5974adb8607' }, h("slot", { key: '8eef1b4ae41f01ab2801dc3bfd75386f336c6f73' })));
    }
    static get is() { return "vega-slot-container"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["vega-slot-container.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["vega-slot-container.css"]
        };
    }
    static get elementRef() { return "host"; }
}
__decorate([
    InjectVegaGlobalSlimmer()
], VegaSlotContainer.prototype, "globalSlimmers", void 0);
__decorate([
    InjectVegaSlimmer()
], VegaSlotContainer.prototype, "vegaComponentUsageRuntimeMetricsSlimmer", void 0);
